From c0fad20670d85aad0cd560dce126fd7a52cbece7 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: May 11 2020 03:16:28 +0000
Subject: [PATCH 587/2232] Add crates.io categories and keywords


---

diff --git a/Cargo.toml b/Cargo.toml
index 32e5803..829eac3 100644
--- a/Cargo.toml
+++ b/Cargo.toml
@@ -10,6 +10,8 @@ repository = "https://github.com/dtolnay/cxx"
 documentation = "https://docs.rs/cxx"
 readme = "README.md"
 exclude = ["/demo-cxx", "/gen", "/syntax", "/third-party"]
+keywords = ["ffi"]
+categories = ["development-tools::ffi", "api-bindings"]
 
 [dependencies]
 cxxbridge-macro = { version = "=0.3.2", path = "macro" }
diff --git a/gen/build/Cargo.toml b/gen/build/Cargo.toml
index 71c6aef..84ab6fe 100644
--- a/gen/build/Cargo.toml
+++ b/gen/build/Cargo.toml
@@ -6,6 +6,8 @@ edition = "2018"
 license = "MIT OR Apache-2.0"
 description = "C++ code generator for integrating `cxx` crate into a Cargo build."
 repository = "https://github.com/dtolnay/cxx"
+keywords = ["ffi"]
+categories = ["development-tools::ffi"]
 
 [dependencies]
 anyhow = "1.0"
diff --git a/gen/cmd/Cargo.toml b/gen/cmd/Cargo.toml
index 2ce8ce5..d14dc84 100644
--- a/gen/cmd/Cargo.toml
+++ b/gen/cmd/Cargo.toml
@@ -6,6 +6,8 @@ edition = "2018"
 license = "MIT OR Apache-2.0"
 description = "C++ code generator for integrating `cxx` crate into a non-Cargo build."
 repository = "https://github.com/dtolnay/cxx"
+keywords = ["ffi"]
+categories = ["development-tools::ffi"]
 
 [[bin]]
 name = "cxxbridge"
diff --git a/macro/Cargo.toml b/macro/Cargo.toml
index bc3f001..0dc3038 100644
--- a/macro/Cargo.toml
+++ b/macro/Cargo.toml
@@ -7,6 +7,8 @@ license = "MIT OR Apache-2.0"
 description = "Implementation detail of the `cxx` crate."
 repository = "https://github.com/dtolnay/cxx"
 exclude = ["README.md"]
+keywords = ["ffi"]
+categories = ["development-tools::ffi"]
 
 [lib]
 proc-macro = true

